Support » Plugin: Church Community Builder Core API » PHP 7.2 Error

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Jared Cobb

    (@jaredcobb)

    Hi Kim, thanks for the bug report.

    First, can you let me know who your hosting provider is?

    Second, Would you mind sending the following questions/info to your hosting provider? It seems like even though Sodium is showing up in your PHP info, it may not be properly installed.

    I’m using the following two Sodium functions to encrypt & decrypt the API credentials:

    http://php.net/manual/en/function.sodium-crypto-secretbox.php

    http://php.net/manual/en/function.sodium-crypto-secretbox-open.php

    In the plugin I’m checking that they exist like so:
    https://github.com/jaredcobb/ccb-core/blob/167c0233615a14f73e00dde1ed8f1185afe6785e/includes/class-ccb-core-requirements.php#L150-L151

    Can you help us determine why those two Sodium functions do not exist on the hosting platform?

    Kim, I’d also be happy to look into making any changes to the plugin that would make this compatible with your host. So definitely let me know what they come back with. Thanks!

    Plugin Author Jared Cobb

    (@jaredcobb)

    Kim, I’m also seeing some information on the web about earlier versions of Sodium using a different syntax for function calls. This could definitely be the issue…

    Can you ask your provider whether they’re running Sodium 1.x or 2.x? 1.x uses namespaces whereas 2.x uses global function names (which is how the plugin expects them to exist).

    Thanks, I’ve reached out to them with the questions and given them the link to this thread. I’ll let you know what they say 😉

    Here is what my host said. I hope this helps you in development.
    Right now I will not be using this plugin on this server.

    The extension is currently not installed on our systems since when they checked the PHP of the server should be removed and compiled anew with the –with-sodium flag.

    Since this account is on a shared server solution enabling this will not be possible.

    Due to the way that this needs to be enabled the only option according to our System Administrators would be on a dedicated server where you can have a professional perform the removal of the PHP software and compile it anew with the sodium library.

    From what I am able to see this library is used to encrypt data which can also be performed using the hash module for PHP which we have enabled with the below engines:

    Hashing Engines:
    md2 md4 md5 sha1 sha224 sha256 sha384 sha512/224 sha512/256 sha512 sha3-224 sha3-256 sha3-384 sha3-512 ripemd128 ripemd160 ripemd256 ripemd320 whirlpool tiger128,3 tiger160,3 tiger192,3 tiger128,4 tiger160,4 tiger192,4 snefru snefru256 gost gost-crypto adler32 crc32 crc32b fnv132 fnv1a32 fnv164 fnv1a64 joaat haval128,3 haval160,3 haval192,3 haval224,3 haval256,3 haval128,4 haval160,4 haval192,4 haval224,4 haval256,4 haval128,5 haval160,5 haval192,5 haval224,5 haval256,5

    We also have MHASH support enabled in case this can help for future cases.

    • This reply was modified 10 months, 2 weeks ago by Kim White.
Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘PHP 7.2 Error’ is closed to new replies.